This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535353 - (RHQ-2058) measurement collector thread not dying
measurement collector thread not dying
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-05-04 23:57 EDT by John Mazzitelli
Modified: 2013-09-02 03:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-05-04 23:57:00 EDT
start an agent, get it collecting measurements and reporting things.

shutdown agent using "shutdown" command.

notice this thread is still around:

Daemon Thread [MeasurementManager.collector-1] (Suspended)	
	java.lang.Thread.sleep(long) line: not available [native method]	
	org.rhq.core.pc.measurement.MeasurementManager$MeasurementCollectionRequester.run() line: 171	
	java.util.concurrent.Executors$RunnableAdapter<T>.call() line: 441	
	java.util.concurrent.FutureTask$Sync.innerRun() line: 303	
	java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask<V>(java.util.concurrent.FutureTask<V>).run() line: 138	
	java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask<V>.access$301(java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask) line: 98	
	java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask<V>.run() line: 207	
	java.util.concurrent.ThreadPoolExecutor$Worker.runTask(java.lang.Runnable) line: 885	
	java.util.concurrent.ThreadPoolExecutor$Worker.run() line: 907	
	java.lang.Thread.run() line: 619	

this should die.
Comment 1 Red Hat Bugzilla 2009-11-10 15:56:53 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2058
Comment 2 wes hayutin 2010-02-16 11:53:38 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:58:53 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-08-25 11:51:00 EDT
Mazz, what would it take to fix this?
Comment 5 John Mazzitelli 2010-08-25 12:25:10 EDT
this is already fixed by some unknown changes. Recently (within the past couple months) I did alot of testing where I shutdown and restarted the internals of the agent and I specifically looked at what threads were still hanging around and all threads were cleaned up that were expected to be cleaned up. No stray threads remained. So, I can say that at least in the latest code, this is no longer a problem.

this bz can be closed as fixed.
Comment 6 Sudhir D 2010-10-19 02:42:04 EDT
I tested the condition on the latest rhq-server-4.0.0-SNAPSHOT build. The issue seem to have resolved as mentioned by Mazz in the previous comment. 

Marking this as verified.
Comment 7 Heiko W. Rupp 2013-09-02 03:17:52 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.